
%let Path = D:\! SAS_to_Excel_4Nov2013\Results\FinalTests\ForSlides;

ods noresults; /* prevents pop-up about Save or Open */
ods graphics / reset=all; ods graphics off; goptions reset=all;
ods tagsets.ExcelXP path="&Path" style=minimal
  file="WIILSU_4Nov2013_ExcelXP_Demo_1.xml"  
  /* can use file extension xls instead,
  but it causes a misleading message at file open time */
  options(
wraptext="no" /* to solve problem with style=Minimal and justify=left for TITLE1 */
zoom="65"
embedded_titles="yes"
frozen_headers="8"  frozen_rowheaders="3"
autofilter="1-4"
sheet_name="ExcelXP Features Demo" );

proc print data=sashelp.shoes noobs;
title1 justify=left height=16pt color=blue 'Listing of SASHELP.SHOES with ExcelXP TagSet & zoom="65"';
title2 justify=left height=16pt color=red 'ExcelXP estimates & sets all columns too wide.';
title3 justify=left height=16pt 'Usually, if using justify=left for TITLE1 and style=Minimal, what extends past Column A is hidden';
title4 justify=left height=16pt 'Here, wraptext="no" was added to the ODS tagsets.ExcelXP options string.';
title5 justify=left height=16pt color=red 'Hyperlink below is only clickable in Column A.';
title6 justify=left height=16pt color=blue link='http://www.wiilsu.org' 
'Go to Wisconsin Illinois SAS Users Home Page';
  /* title6 "<a href='http://www.wiilsu.org'>Go to Wisconsin Illinois SAS Users Home Page</a>";
  The above way to create a hyperlink in the title
  does not work with this tagset. */
id region subsidiary product;
run;

ods tagsets.ExcelXP close;

ods noresults; /* prevents pop-up about Save or Open */
ods graphics / reset=all; ods graphics off; goptions reset=all;
ods tagsets.ExcelXP path="&Path" style=minimal
  file="WIILSU_4Nov2013_ExcelXP_Demo_2.xml"
  options(embedded_titles="yes" wraptext="no");

ods tagsets.ExcelXP options(sheet_name="Girls");
proc print data=sashelp.class(where=(Sex EQ 'F')) noobs;
title1 justify=left height=16pt color=red 'Listing of Girls in SASHELP.CLASS with ExcelXP TagSet';
run;

ods tagsets.ExcelXP options(sheet_name="Boys");
proc print data=sashelp.class(where=(Sex EQ 'M')) noobs;
title1 justify=left height=16pt color=blue 'Listing of Boys in SASHELP.CLASS with ExcelXP TagSet';
run;

ods tagsets.ExcelXP close;

ods noresults; /* prevents pop-up about Save or Open */
ods graphics / reset=all; ods graphics off; goptions reset=all;
ods tagsets.ExcelXP path="&Path" style=minimal
  file="WIILSU_4Nov2013_ExcelXP_Demo_3.xml"
  options(embedded_titles="yes" wraptext="no");

ods tagsets.excelxp options(sheet_name="Height");
title1 justify=left height=16pt 'Height of Students';
proc print data=sashelp.class noobs;
id name; var height; run;
ods tagsets.excelxp options(sheet_name="none");
ods tagsets.excelxp options(sheet_interval='bygroup'
  sheet_label='Sex' suppress_bylines='yes');
proc sort data=sashelp.class out=work.Sorted;
by sex; run;
title1 justify=left height=16pt 'Age of Students';
proc print data=work.Sorted noobs;
by sex; id name; var age; run;

ods tagsets.ExcelXP close;
