
%let Path = D:\! SAS_to_Excel_4Nov2013\Results\FinalTests\ForSlides\Package_From_MSOffice2K_x\TestOn4Nov2013;

 /* NOTE: The ODS tagset zoom option is used for some of the examples.
          This serves as a proof of concept, but the real purpose
          is to create output which, when captured as a screen image,
          will contain all of the content of interest for display in a slide. */

 /* NOTE: There is a step to create a worksheet with a single table,
          but the workbook does not include it.
          How to create a worksheet with a single graph should be obvious. */

ods noresults;

 /* code below is needed only if using SAS/GRAPH (e.g., PROC GPLOT) */ 
proc catalog cat=work.gseg kill;
run; quit; /* So that image file names can be reused 
              during reruns within same SAS session.
              In later session, this is not required,
              and will cause a harmless message. */
 /* code above is needed only if using SAS/GRAPH (e.g., PROC GPLOT) */ 

 /* code below is needed only to use a freshly downloaded tagset

ods path(prepend) work.templat(update);                                                                                               
filename temp url "http://support.sas.com/rnd/base/ods/odsmarkup/msoffice2k/msoffice2k_x.sas";                                                                                                                                                                                  
%include temp;
 
    code above is needed only to use a freshly downloaded tagset*/

ods listing close;

  /* In the discussion in the WarningMessageFromLeRB,
     to get rid of the pop-up upon opening the WorkBook,
     remove the options parameter in the ods tagsets.msoffice2k_x statement below.
     The three plots will appear in a vertical stack,
     instead of in a horizontal panel of three side-by-side. */

ods graphics / reset=all; ods graphics off;
goptions reset=all device=gif hsize=4in vsize=4in htext=3 PCT ctext=blue ftext='Arial/Bold';

ods tagsets.msoffice2k_x path="&Path" (url=none) file="Gplots.html" style=minimal
  options(zoom="85" orientation="landscape" panelcols="3" panel_space="1" graph_width="300" );

proc gplot data=sashelp.class;
title color=red "Height Vs Age (using SAS/GRAPH PROC GPLOT defaults)";
plot height*age / name='HgtVsAge_GPLOT';
run; quit;

proc gplot data=sashelp.class;
title color=red "Weight Vs Age (using SAS/GRAPH PROC GPLOT defaults)";
plot weight*age / name='WgtVsAge_GPLOT';
run; quit;

proc gplot data=sashelp.class;
title color=red "Weight Vs Height (using SAS/GRAPH PROC GPLOT defaults)";
plot weight*height / name='WgtVsHgt_GPLOT';
run; quit;

ods tagsets.msoffice2k_x close;

 /* code below is needed only if using SAS/GRAPH (e.g., PROC GPLOT) */ 
proc catalog cat=work.gseg kill;
run; quit; /* So that image file names can be reused 
              during reruns within same SAS session.
              In later session, this is not required,
              and will cause a harmless message. */
 /* code above is needed only if using SAS/GRAPH (e.g., PROC GPLOT) */ 

 /* code below is needed only to use a freshly downloaded tagset

ods path(prepend) work.templat(update);                                                                                               
filename temp url "http://support.sas.com/rnd/base/ods/odsmarkup/msoffice2k/msoffice2k_x.sas";                                                                                                                                                                                  
%include temp;
 
    code above is needed only to use a freshly downloaded tagset*/

ods listing close;

  /* In the discussion in the WarningMessageFromLeRB,
     to get rid of the pop-up upon opening the WorkBook,
     remove the options parameter in the ods tagsets.msoffice2k_x statement below.
     The three plots will appear in a vertical stack,
     instead of in a horizontal panel of three side-by-side. */

ods graphics / reset=all; ods graphics off;
goptions reset=all device=gif hsize=4in vsize=4in htext=3 PCT ctext=blue ftext='Arial/Bold';

ods tagsets.msoffice2k_x path="&Path" (url=none) file="TwoGplotsStack.html" style=minimal
  options(zoom="70");

proc gplot data=sashelp.class;
title color=red "Height Vs Age (using SAS/GRAPH PROC GPLOT defaults)";
plot height*age / name='HgtVsAge_GPLOT_in_Stack';
run; quit;

proc gplot data=sashelp.class;
title color=red "Weight Vs Age (using SAS/GRAPH PROC GPLOT defaults)";
plot weight*age / name='WgtVsAge_GPLOT_in_Stack';
run; quit;

ods tagsets.msoffice2k_x close;

goptions reset=all;
ods graphics on / reset=all height=4in width=4in border=on antialiasmax=2500;

ods tagsets.msoffice2k_x path="&Path" (url=none) file="SGplots.html" style=minimal
    options(zoom="85" orientation="landscape" panelcols="3" panel_space="1" graph_width="300");

  /* Assigning imagename= below is optional.
     If you omit the options parameters
     panelcols="3" panel_space="1" graph_width="300"
     in the ods tagsets.msoffice2k_x statement above,
     the three graphs will appear in a vertical stack,
     instead of in a horizontal panel of three side-by-side. */

ods graphics on / imagename='HgtVsAge_SGPLOT_SCATTER';
proc sgplot data=sashelp.class;
title1 color=red "Height Vs Age (using ODS Graphics";
title2 color=red "PROC SGPLOT SCATTER plot defaults)";
scatter y=height x=age;
run;

ods graphics on / imagename='WgtVsAge_SGPLOT_SCATTER';
proc sgplot data=sashelp.class;
title1 color=red "Weight Vs Age (using ODS Graphics";
title2 color=red "PROC SGPLOT SCATTER plot defaults)";
scatter y=weight x=age;
run;

ods graphics on / imagename='WgtVsHgt_SGPLOT_SCATTER';
proc sgplot data=sashelp.class;
title1 color=red "Weight Vs Height (using ODS Graphics";
title2 color=red "PROC SGPLOT SCATTER plot defaults)";
scatter y=weight x=height;
run;

ods tagsets.msoffice2k_x close;

goptions reset=all;
ods graphics on / reset=all height=4in width=4in border=on antialiasmax=2500;

ods tagsets.msoffice2k_x path="&Path" (url=none) file="SGscatters.html" style=minimal
    options(orientation="landscape" panelcols="3" panel_space="1" graph_width="300");

  /* Assigning imagename= below is optional.
     If you omit the options parameters
     panelcols="3" panel_space="1" graph_width="300"
     in the ods tagsets.msoffice2k_x statement above,
     the three graphs will appear in a vertical stack,
     instead of in a horizontal panel of three side-by-side. */

ods graphics on / imagename='HgtVsAge_SGSCATTER_PLOT';
proc sgscatter data=sashelp.class;
title1 color=red "Height Vs Age (using ODS Graphics";
title2 color=red "PROC SGSCATTER PLOT plot defaults)";
plot height*age;
run;

ods graphics on / imagename='WgtVsAge_SGSCATTER_PLOT';
proc sgscatter data=sashelp.class;
title1 color=red "Weight Vs Age (using ODS Graphics";
title2 color=red "PROC SGSCATTER PLOT plot defaults)";
plot weight*age;
run;

ods graphics on / imagename='WgtVsHgt_SGSCATTER_PLOT';
proc sgscatter data=sashelp.class;
title1 color=red "Weight Vs Height (using ODS Graphics";
title2 color=red "PROC SGSCATTER PLOT plot defaults)";
plot weight*height;
run;

ods tagsets.msoffice2k_x close;

goptions reset=all;
ods graphics / reset=all; ods graphics off; goptions reset=all;

ods tagsets.msoffice2k_x path="&Path" file="ThreeTables.html" style=minimal
    options(zoom="90" orientation="landscape" panelcols="3" panel_space="1" /* graph_width="300" */ );

proc print data=sashelp.class;
title1 color=red "Height and Age";
var height age;
run;

proc print data=sashelp.class;
title1 color=red "Weight and Age";
var weight age;
run;

proc print data=sashelp.class;
title1 color=red "Weight and Height";
var weight height;
run;

ods tagsets.msoffice2k_x close;

goptions reset=all;
ods graphics on / reset=all height=4in width=4in border=on antialiasmax=2500;

ods tagsets.msoffice2k_x path="&Path" file="TwoTablesOverTwoSGplots.html" style=minimal options(zoom="35");

proc print data=sashelp.class;
title1 justify=left color=red "Height and Age";
var height age;
run;

proc print data=sashelp.class;
title1 justify=left color=red "Weight and Age";
var weight age;
run;

ods graphics on / imagename='HgtVsAge_SGPLOT_SCATTER2';
proc sgplot data=sashelp.class;
title1 color=red "Height Vs Age (using ODS Graphics";
title2 color=red "PROC SGPLOT SCATTER plot defaults)";
scatter y=height x=age;
run;

ods graphics on / imagename='WgtVsAge_SGPLOT_SCATTER2';
proc sgplot data=sashelp.class;
title1 color=red "Weight Vs Age (using ODS Graphics";
title2 color=red "PROC SGPLOT SCATTER plot defaults)";
scatter y=weight x=age;
run;

ods tagsets.msoffice2k_x close;

goptions reset=all;
ods graphics on / reset=all height=4in width=4in border=on antialiasmax=2500;

ods tagsets.msoffice2k_x path="&Path" file="TwoSGplotsOverTwoTables.html" style=minimal options(zoom="35");

ods graphics on / imagename='HgtVsAge_SGPLOT_SCATTER3';
proc sgplot data=sashelp.class;
title1 color=red "Height Vs Age (using ODS Graphics";
title2 color=red "PROC SGPLOT SCATTER plot defaults)";
scatter y=height x=age;
run;

ods graphics on / imagename='WgtVsAge_SGPLOT_SCATTER3';
proc sgplot data=sashelp.class;
title1 color=red "Weight Vs Age (using ODS Graphics";
title2 color=red "PROC SGPLOT SCATTER plot defaults)";
scatter y=weight x=age;
run;

proc print data=sashelp.class;
title1 justify=left color=red "Height and Age";
var height age;
run;

proc print data=sashelp.class;
title1 justify=left color=red "Weight and Age";
var weight age;
run;

ods tagsets.msoffice2k_x close;

goptions reset=all;
ods graphics on / reset=all height=3in width=3in border=on antialiasmax=2500;

ods tagsets.msoffice2k_x path="&Path" (url=none)
  file="TwoTablesOneSGPlot.html" style=minimal
  options( orientation="landscape" zoom="95"
  panelcols="3" panel_space="1" graph_width="225" );

proc print data=sashelp.class noobs;
title "Name & Height";
var name height; run;

proc print data=sashelp.class noobs;
title "Name & Weight";
var name weight; run;

ods graphics on / imagename='WgtVsHgt_SGPLOT2';
proc sgplot data=sashelp.class;
title height=12pt font=Arial "Weight vs Height";
scatter y=height x=age; run;

ods tagsets.msoffice2k_x close;

goptions reset=all;
ods graphics on / reset=all height=3in width=3in border=on antialiasmax=2500;

ods tagsets.msoffice2k_x path="&Path" (url=none)
  file="TableOverSGPlot.html" style=minimal options(zoom="80");

proc print data=sashelp.class noobs;
title height=12pt font=Arial justify=Left "Name & Weight & Height";
var name height; run;

ods graphics on / imagename='WgtVsHgt_SGPLOT3';
proc sgplot data=sashelp.class;
title height=12pt font=Arial "Weight vs Height";
scatter y=height x=age; run;

ods tagsets.msoffice2k_x close;

goptions reset=all;
ods graphics on / reset=all height=3in width=3in border=on antialiasmax=2500;

ods tagsets.msoffice2k_x path="&Path" (url=none)
  file="SGPlotOverTable.html" style=minimal options(zoom="80");

ods graphics on / imagename='WgtVsHgt_SGPLOT4';
proc sgplot data=sashelp.class;
title height=12pt font=Arial "Weight vs Height";
scatter y=height x=age; run;

proc print data=sashelp.class noobs;
title height=12pt font=Arial justify=Left "Name & Weight & Height";
var name height; run;

ods tagsets.msoffice2k_x close;
                                                                                                                                        
ods tagsets.msoffice2k_x path="&Path" file="Table.html" style=minimal; 
                                                            
proc print data=sashelp.class noobs;
title justify=left height=12pt color=blue "Student Age Height Weight";
var name age height weight;
run;
                                                                                                                                    
ods tagsets.msoffice2k_x close;                                                                                                  

ods noproctitle;
 
ods tagsets.msoffice2k_x path="&Path" file="HgtStats.html" style=minimal; 
                                                            
proc univariate data=sashelp.class;
title;
var height;
run;
                                                                                                                                    
ods tagsets.msoffice2k_x close;                                                                                                          
                                                                                                                                        
ods tagsets.msoffice2k_x path="&Path" file="WgtStats.html" style=minimal; 
                                                            
proc univariate data=sashelp.class;
title;
var weight;
run;
                                                                                                                                    
ods tagsets.msoffice2k_x close;                                                                                                          
                                                                                                                                        
ods tagsets.msoffice2k_x path="&Path" file="WarningMessageFromLeRB.html"
    style=minimal; * options(zoom="85"); 

data work.WarningMessages;
length WARNINGS $ 2048;
WARNINGS = 'In the step that assembles the multi-sheet workbook,';
WARNINGS = trim(left(WARNINGS)) || ' if a WorkSheet Name Assigned in the ODS tagsets.msoffice2k_x statements exceeds 31 characters,';
WARNINGS = trim(left(WARNINGS)) || ' a confusing label will be substituted for that name,';
WARNINGS = trim(left(WARNINGS)) || ' and an EXTRA warning will be displayed in the pop-up message upon opening the WorkBook.';
output;
WARNINGS = 'ALSO, it is NORMAL for the pop-up "Problems During Load" message to raise a false alarm about';
WARNINGS = trim(left(WARNINGS)) || ' a Problem with Worksheet Setting and a Problem with Workbook Setting.';
WARNINGS = trim(left(WARNINGS)) || ' That false alarm is caused by presence of the panel of three graphs.';
WARNINGS = trim(left(WARNINGS)) || ' If the ODS options parameters for the panel and graph_width are omitted, the false alarm disappears,';
WARNINGS = trim(left(WARNINGS)) || ' but the graphs appear in a vertical stack, not in a side-by-side array.';
WARNINGS = trim(left(WARNINGS)) || ' If the workbook contains no graphic worksheets, the false alarm disappears.';
output;
run;
                                                            
proc print data=work.WarningMessages noobs label
  style(header) = [foreground = red font_size=16pt font_weight=bold];
title;
var WARNINGS / 
  style(data) = [background = yellow font_size=16pt cellwidth=900];
label WARNINGS = 'Warnings:';
run;
                                                                                                                                    
ods tagsets.msoffice2k_x close;
                                                                                                                                                                                                                                                         
ods tagsets.msoffice2k_x path="&Path" file="MSOffice2K_x_Demo_Panels_And_Multiple_Sheets.xls"
    options(
    worksheet_source="
    Warn#.\WarningMessageFromLeRB.html,
    Tables#.\ThreeTables.html,
    SGplots#.\SGplots.html,
    Gplots#.\Gplots.html,
	2GplotsStack#.\TwoGplotsStack.html,
    SGscatters#.\SGscatters.html,
    Tables+Plot#.\TwoTablesOneSGPlot.html,
    TableOverPlot#.\TableOverSGPlot.html,
    2TablesOver2Plots#.\TwoTablesOverTwoSGPlots.html,
    PlotOverTable#.\SGPlotOverTable.html,
    2PlotsOver2Tables#.\TwoSGPlotsOverTwoTables.html,
    HgtStats#.\HgtStats.html,
    WgtStats#.\WgtStats.html
    "
    );

 /* OneTable#.\Table.html, */

 /* In the worksheet_source string above, the . between # and \ is a signal
    that the html files are in the folder specified by the path= assignment.
    The (url=none) in graph ODS steps is a signal that any image file(s)
    will be in the same folder as the HTML file.
    These codings assure that package of xls file, html files, and image files is relocatable
    You can move the package anywhere or send it via email,
    and the XLS file will open & all parts will be found. */ 

data _null_;                                                                                                                          
   file print;                                                                                                                         
   put _all_;                                                                                                                          
run;                                                                                                                                  
                                                                                                                                        
ods tagsets.msoffice2k_x close;
 
ods listing;
